> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-droptablespace.md).

# DROP TABLESPACE

### DROP TABLESPACE

DROP TABLESPACE — remove a tablespace

### Synopsis

```

DROP TABLESPACE [ IF EXISTS ] name
```

### Description

`DROP TABLESPACE` removes a tablespace from the system.

A tablespace can only be dropped by its owner or a superuser. The tablespace must be empty of all database objects before it can be dropped. It is possible that objects in other databases might still reside in the tablespace even if no objects in the current database are using the tablespace. Also, if the tablespace is listed in the [temp\_tablespaces](/server-administration/runtime-config/runtime-config-client.md#GUC-TEMP-TABLESPACES) setting of any active session, the `DROP` might fail due to temporary files residing in the tablespace.

### Parameters

`IF EXISTS` : Do not throw an error if the tablespace does not exist. A notice is issued in this case.

*`name`* : The name of a tablespace.

### Notes

`DROP TABLESPACE` cannot be executed inside a transaction block.

### Examples

To remove tablespace `mystuff` from the system:

```

DROP TABLESPACE mystuff;
```

### Compatibility

`DROP TABLESPACE` is a PostgreSQL extension.

### See Also

[CREATE TABLESPACE](/reference/sql-commands/sql-createtablespace.md), [ALTER TABLESPACE](/reference/sql-commands/sql-altertablespace.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-droptablespace.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-droptablespace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
